# norootforbuild

Name:		projectM_libvisual
Version:	2.0.1
Release:	3.3

Summary:	Libvisual for projectM
License:	LGPL
Group:		Productivity/Multimedia/Sound/Visualization
URL:		http://projectm.sourceforge.net/

Source0:	%{name}-%{version}-Source.tar.gz
Patch0:		%{name}-2.0.1-gcc46.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libprojectM-devel SDL-devel libvisual-devel pkgconfig


%description
Libvisual for projectM

ProjectM is an awesome music visualizer. There is nothing better in the world of
Unix. projectM's greatness comes from the hard work of the community. Users like
you can create presets that connect music with incredible visuals.





%prep
%setup -q -n %{name}-%{version}-Source
%patch0


%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=RELEASE \
	%if %{_lib} == lib64
		-DLIB_SUFFIX=64 \
	%endif
	.

%__make %{?jobs:-j%{jobs}}


%install
%makeinstall


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%dir %{_libdir}/libvisual-0.4
%dir %{_libdir}/libvisual-0.4/actor
%{_libdir}/libvisual-0.4/actor/lib%{name}.so


%changelog
* Wed Sep 08 2010 - Detlef Reichelt <detlef@links2linux.de> - 2.0.1
- initial build <2.0.1>

